
%define plugin	streamdev
%define name	vdr-plugin-%plugin
%define version	0.3.3
%define cvsrev	20%shortrev
%define shortrev	060823
%define rel	2
%define release	1.%shortrev.%rel

Summary:	VDR plugin: streamdev
Name:		%name
Version:	%version
Release:	%mkrel %release
Group:		Video
License:	GPL
URL:		http://www.magoa.net/linux/

# From streamdev @ :pserver:anoncvs@vdr-developer.org:/var/cvsroot
Source:		vdr-%plugin-%cvsrev.tar.bz2
Patch2:		vdr-streamdev-cvs-20060823-dvbsubtitles.diff

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	vdr-devel >= 1.4.1-6

%description
This PlugIn is a VDR implementation of the VTP (Video Transfer Protocol,
see file PROTOCOL) and a basic HTTP Streaming Protocol.

It consists of a server and a client part, but both parts are compiled together
with the PlugIn source, but appear as separate PlugIns to VDR.

%package server
Summary:	VDR plugin: VDR Streaming Server
Group:		Video
Requires:	vdr-abi = %vdr_abi

%description server
This PlugIn is a VDR implementation of the VTP (Video Transfer Protocol,
see file PROTOCOL) and a basic HTTP Streaming Protocol.

The server part acts as a Receiver-Device and works transparently in the
background within your running VDR. It can serve multiple clients and it can
distribute multiple input streams (i.e. from multiple DVB-cards) to multiple
clients using the native VTP protocol (for VDR-clients), or using the HTTP
protocol supporting clients such as XINE, MPlayer and so on. With XMMS or
WinAMP, you can also listen to radio channels over a HTTP connection.

%package client
Summary:	VDR plugin: VTP Streaming Client
Group:		Video
Requires:	vdr-abi = %vdr_abi

%description client
This PlugIn is a VDR implementation of the VTP (Video Transfer Protocol,
see file PROTOCOL) and a basic HTTP Streaming Protocol.

The client part acts as a full Input Device, so it can be used in conjunction
with a DXR3-Card, XINE, SoftDevice or others to act as a working VDR
installation without any DVB-Hardware including EPG-Handling.

%prep
%setup -q -n %plugin
%patch2 -p0

perl -pi -e 's/^CFLAGS =/MOREFLAGS =/' libdvbmpeg/Makefile
sed -i 's/$(CFLAGS)/$(MOREFLAGS) $(CFLAGS)/' libdvbmpeg/Makefile

sed -i 's,STREAMERBUFSIZE MEGABYTE(4),STREAMERBUFSIZE MEGABYTE(16),' server/streamer.h

%build
%vdr_plugin_build

%install
rm -rf %{buildroot}

%vdr_plugin_install

install -d -m755 %{buildroot}%{_vdr_plugin_cfgdir}
install -m644 streamdevhosts.conf.example 	%{buildroot}%{_vdr_plugin_cfgdir}/streamdevhosts.conf

%clean
rm -rf %{buildroot}

%post server
%vdr_plugin_post %plugin-server

%postun server
%vdr_plugin_postun %plugin-server

%post client
%vdr_plugin_post %plugin-client

%postun client
%vdr_plugin_postun %plugin-client

%files server -f streamdev-server.vdr
%defattr(-,root,root)
%doc README HISTORY CONTRIBUTORS PROTOCOL
%config(noreplace) %{_vdr_plugin_cfgdir}/streamdevhosts.conf

%files client -f streamdev-client.vdr
%defattr(-,root,root)
%doc README HISTORY CONTRIBUTORS

%changelog
* Wed Sep 06 2006 Anssi Hannula <anssi@mandriva.org> 0.3.3-1.060823.2mdv2007.0
- rebuild for new vdr
- use 2-digit year in cvsrev to shorten the rpm name length

* Wed Aug 23 2006 Anssi Hannula <anssi@mandriva.org> 0.3.3-0.20060823.1mdv2007.0
- new snapshot
- stricter abi requires
- drop patch1, upstream
- rediff patch2
- fix replaces in %%prep

* Sun Aug 06 2006 Anssi Hannula <anssi@mandriva.org> 0.3.3-0.20060507.4mdv2007.0
- rebuild for new vdr

* Tue Jul 25 2006 Anssi Hannula <anssi@mandriva.org> 0.3.3-0.20060507.3mdv2007.0
- rebuild for new vdr

* Mon Jun 19 2006 Anssi Hannula <anssi@mandriva.org> 0.3.3-0.20060507.2mdv2007.0
- use _ prefix for system path macros
- rpmbuildupdate friendly

* Fri Jun 09 2006 Anssi Hannula <anssi@mandriva.org> 0.3.3-0.20060507.1mdv2007.0
- initial Mandriva release
